using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace BMA.EHR.Infrastructure.Migrations
{
    /// <inheritdoc />
    public partial class updatetableprofileEmployeeWagedouble : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AlterColumn<double>(
                name: "EmployeeWage",
                table: "Profiles",
                type: "double",
                nullable: true,
                comment: "ค่าจ้าง",
                oldClrType: typeof(string),
                oldType: "longtext",
                oldNullable: true,
                oldComment: "ค่าจ้าง")
                .OldAnnotation("MySql:CharSet", "utf8mb4");
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AlterColumn<string>(
                name: "EmployeeWage",
                table: "Profiles",
                type: "longtext",
                nullable: true,
                comment: "ค่าจ้าง",
                oldClrType: typeof(double),
                oldType: "double",
                oldNullable: true,
                oldComment: "ค่าจ้าง")
                .Annotation("MySql:CharSet", "utf8mb4");
        }
    }
}
